GH-RUN-DOWNLOAD(1)

NAME
gh-run-download - Download artifacts generated by a workflow run

SYNOPSIS
gh run download [<run-id>] [flags]

DESCRIPTION
Download artifacts generated by a GitHub Actions workflow run.

The contents of each artifact will be extracted under separate directories based on the artifact name. If only a single artifact is specified, it will be extracted into the current directory.

By default, this command downloads the latest artifact created and uploaded through GitHub Actions. Because workflows can delete or overwrite artifacts, <run-id> must be used to select an artifact from a specific workflow run.

OPTIONS

-D, --dir <string> (default ".")
    The directory to download artifacts into

-n, --name <stringArray>
    Download artifacts that match any of the given names

-p, --pattern <stringArray>
    Download artifacts that match a glob pattern

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    # Download all artifacts generated by a workflow run
    $ gh run download <run-id>
    # Download a specific artifact within a run
    $ gh run download <run-id> -n <name>
    # Download specific artifacts across all runs in a repository
    $ gh run download -n <name1> -n <name2>
    # Select artifacts to download interactively
    $ gh run download

SEE ALSO
gh-run(1)